<template>
  <div
    class="item"
  >
    <div class="bar">
      <div class="title">{{ pData.titles }}</div>
      <div class="btn-grp">
        <div
          :class="[
            'btn',
            'iconfont',
            {
              'icon-quanping': !fullScreen,
              'icon-tuichuquanping': fullScreen,
            },
          ]"
          :title="fullScreen ? '还原' : '全屏'"
          @click="toggleScreen(pData)"
        ></div>
        <div
          class="btn iconfont icon-guanbi"
          title="关闭"
          @click="closeItem(pData)"
        ></div>
      </div>
    </div>
    <div class="content">
      <slot></slot>
    </div>
  </div>
</template>

<script>
export default {
  name: "",

  data() {
    return {};
  },
  components: {},
  methods: {},

  mounted() {},
};
</script>

<style scoped>
</style>